Error installing on Docker ERPNext single bench single site

Hello, I am trying to install ERPNext (single bench - single site) using Docker following this guide, and I am able to deploy all containers until the last one where I get the following error.

Any idea what’s going on?

Also, there are 2 containers that won’t run, they are:
erpnext-one-configurator-1
erpnext-one-queue-short-1

mainuser@SynologyDS920:/volume1/docker/frappe_docker$ sudo docker-compose --project-name erpnext-one exec backend \
>   bench new-site erpnext.example.com --mariadb-root-password changeit --install-app erpnext --admin-password changeit
Traceback (most recent call last):
  File "/home/frappe/frappe-bench/env/lib/python3.10/site-packages/redis/connection.py", line 559, in connect
    sock = self._connect()
  File "/home/frappe/frappe-bench/env/lib/python3.10/site-packages/redis/connection.py", line 615, in _connect
    raise err
  File "/home/frappe/frappe-bench/env/lib/python3.10/site-packages/redis/connection.py", line 603, in _connect
    sock.connect(socket_address)
TimeoutError: [Errno 110] Connection timed out

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/bin/patched_bench_helper.py", line 48, in <module>
    raise SystemExit(main())
  File "/usr/local/bin/patched_bench_helper.py", line 43, in main
    frappe.utils.bench_helper.main()
  File "/home/frappe/frappe-bench/apps/frappe/frappe/utils/bench_helper.py", line 18, in main
    click.Group(commands=commands)(prog_name="bench")
  File "/home/frappe/frappe-bench/env/lib/python3.10/site-packages/click/core.py", line 829, in __call__
    return self.main(*args, **kwargs)
  File "/home/frappe/frappe-bench/env/lib/python3.10/site-packages/click/core.py", line 782, in main
    rv = self.invoke(ctx)
  File "/home/frappe/frappe-bench/env/lib/python3.10/site-packages/click/core.py", line 1259, in invoke
    return _process_result(sub_ctx.command.invoke(sub_ctx))
  File "/home/frappe/frappe-bench/env/lib/python3.10/site-packages/click/core.py", line 1259, in invoke
    return _process_result(sub_ctx.command.invoke(sub_ctx))
  File "/home/frappe/frappe-bench/env/lib/python3.10/site-packages/click/core.py", line 1066, in invoke
    return ctx.invoke(self.callback, **ctx.params)
  File "/home/frappe/frappe-bench/env/lib/python3.10/site-packages/click/core.py", line 610, in invoke
    return callback(*args, **kwargs)
  File "/home/frappe/frappe-bench/apps/frappe/frappe/commands/site.py", line 72, in new_site
    frappe.init(site=site, new_site=True)
  File "/home/frappe/frappe-bench/apps/frappe/frappe/__init__.py", line 248, in init
    setup_module_map()
  File "/home/frappe/frappe-bench/apps/frappe/frappe/__init__.py", line 1509, in setup_module_map
    local.app_modules = _cache.get_value("app_modules")
  File "/home/frappe/frappe-bench/apps/frappe/frappe/utils/redis_wrapper.py", line 72, in get_value
    val = self.get(key)
  File "/home/frappe/frappe-bench/env/lib/python3.10/site-packages/redis/client.py", line 1606, in get
    return self.execute_command('GET', name)
  File "/home/frappe/frappe-bench/env/lib/python3.10/site-packages/redis/client.py", line 898, in execute_command
    conn = self.connection or pool.get_connection(command_name, **options)
  File "/home/frappe/frappe-bench/env/lib/python3.10/site-packages/redis/connection.py", line 1192, in get_connection
    connection.connect()
  File "/home/frappe/frappe-bench/env/lib/python3.10/site-packages/redis/connection.py", line 561, in connect
    raise TimeoutError("Timeout connecting to server")
redis.exceptions.TimeoutError: Timeout connecting to server
mainuser@SynologyDS920:/volume1/docker/frappe_docker$

what is in common_site_config.json as redis hosts?
you need config to reflect redis and other hosts